Gecode::Int::SortMap< TaskView, STO, inc > Class Template Reference

Sorting maps rather than tasks. More...

`#include <sort.hpp>`

## Public Member Functions

| SortMap (const TaskViewArray< TaskView > &t)
| Initialize.
bool | operator() (int &i, int &j) const
| Sort order.

## Detailed Description

template<class TaskView, template< class, bool > class STO, bool inc>
class Gecode::Int::SortMap< TaskView, STO, inc >

Sorting maps rather than tasks.

Definition at line 72 of file sort.hpp.

## Constructor & Destructor Documentation

## SortMap()

template<class TaskView, template< class, bool > class STO, bool inc>

Gecode::Int::SortMap< TaskView, STO, inc >::SortMap | ( | const TaskViewArray< TaskView > & | t | ) |

inline

Initialize.

Definition at line 123 of file sort.hpp.

## Member Function Documentation

## operator()()

template<class TaskView, template< class, bool > class STO, bool inc>

bool Gecode::Int::SortMap< TaskView, STO, inc >::operator() | ( | int & | i,
|  | int & | j ) const

inline

Sort order.

Definition at line 127 of file sort.hpp.

The documentation for this class was generated from the following file:

- gecode/int/task/sort.hpp